Loading...
Searching...
No Matches
InternalNode< ChildT, Log2Dim >::DenseIterator Class Reference

Visits all tile values and child nodes of this node. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for InternalNode< ChildT, Log2Dim >::DenseIterator:

## Public Member Functions

| DenseIterator ()
| DenseIterator (const InternalNode *parent)
DenseIterator & | operator= (const DenseIterator &)=default
const ChildT * | probeChild (ValueType &value) const
bool | isValueOn () const
CoordType | getOrigin () const
CoordType | getCoord () const
uint32_t | operator* () const
uint32_t | pos () const
| operator bool () const
DenseIterator & | operator++ ()
DenseIterator | operator++ (int)

## Detailed Description

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
class nanovdb::InternalNode< ChildT, Log2Dim >::DenseIterator

Visits all tile values and child nodes of this node.

## Constructor & Destructor Documentation

## DenseIterator() [1/2]

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

DenseIterator | ( |  | ) |

inline

## DenseIterator() [2/2]

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

DenseIterator | ( | const InternalNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

CoordType getCoord | ( |  | ) | const

inline

## getOrigin()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

CoordType getOrigin | ( |  | ) | const

inline

## isValueOn()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

bool isValueOn | ( |  | ) | const

inline

## operator bool()

template<uint32_t LOG2DIM>

operator bool | ( |  | ) | const

inlineinherited

## operator*()

template<uint32_t LOG2DIM>

uint32_t operator* | ( |  | ) | const

inlineinherited

## operator++() [1/2]

template<uint32_t LOG2DIM>

DenseIterator & operator++ | ( |  | ) |

inlineinherited

## operator++() [2/2]

template<uint32_t LOG2DIM>

DenseIterator operator++ | ( | int |  | ) |

inlineinherited

## operator=()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

DenseIterator & operator= | ( | const DenseIterator & |  | ) |

default

## pos()

template<uint32_t LOG2DIM>

uint32_t pos | ( |  | ) | const

inlineinherited

## probeChild()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

const ChildT * probeChild | ( | ValueType & | value | ) | const

inline